Update an order
POST /contacts/{contact_id}/order/{order_id}
curl -X POST "https://app.bualpro.com/api/contacts/123/order/example_string" \
-H "Content-Type: application/json" \
-H "X-ACCESS-TOKEN: YOUR_API_KEY" \
-d '{
"status": 7
}'
import requests
import json
url = "https://app.bualpro.com/api/contacts/123/order/example_string"
headers = {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
data = {
"status": 7
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.bualpro.com/api/contacts/123/order/example_string", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
},
body: JSON.stringify({
"status": 7
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"status": 7
}`)
req, err := http.NewRequest("POST", "https://app.bualpro.com/api/contacts/123/order/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-ACCESS-TOKEN", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.bualpro.com/api/contacts/123/order/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-ACCESS-TOKEN'] = 'YOUR_API_KEY'
request.body = '{
"status": 7
}'
response = http.request(request)
puts response.body
{
"success": true
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Error",
"message": "The order status is the same as the previous status",
"code": 402
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/contacts/{contact_id}/order/{order_id}Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
The new order status. 6 - Processing, 7 - Shipped, 10 - Completed, 13 - Canceled.
The name for the shipping
The phone for the shipping
The email for the shipping
The country for the shipping
The state for the shipping
The city for the shipping
The zip code for the shipping
The address for the shipping
The street_1 for the shipping
The street_2 for the shipping
Note related to the order.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
The new order status. 6 - Processing, 7 - Shipped, 10 - Completed, 13 - Canceled.
671013The country for the shipping
The state for the shipping
The city for the shipping
The zip code for the shipping
The address for the shipping
The street_1 for the shipping
The street_2 for the shipping
Note related to the order.
Responses
Change order status.